# Uses of Interface
org.eclipse.emf.cdo.common.revision.CDORevisionValueVisitor

Packages that use CDORevisionValueVisitor
Package
Description
org.eclipse.emf.cdo.common.revision
Common concepts for dealing with revisions and revision lists.
org.eclipse.emf.cdo.spi.common.revision
Common service provider interfaces and useful base implementations for dealing with revisions and deltas.

## Uses of CDORevisionValueVisitor in org.eclipse.emf.cdo.common.revision

Methods in org.eclipse.emf.cdo.common.revision with parameters of type CDORevisionValueVisitor
Modifier and Type
Method
Description
`void`
CDORevisionData.`accept(CDORevisionValueVisitor visitor)`
`void`
CDORevisionData.`accept(CDORevisionValueVisitor visitor, Predicate<EStructuralFeature> filter)`
`void`
CDORevisionData.`accept(CDORevisionValueVisitor visitor, org.eclipse.net4j.util.Predicate<EStructuralFeature> filter)`
Deprecated.
As of 4.9 use `CDORevisionData.accept(CDORevisionValueVisitor, java.util.function.Predicate)`.

## Uses of CDORevisionValueVisitor in org.eclipse.emf.cdo.spi.common.revision

Methods in org.eclipse.emf.cdo.spi.common.revision with parameters of type CDORevisionValueVisitor
Modifier and Type
Method
Description
`void`
AbstractCDORevision.`accept(CDORevisionValueVisitor visitor)`
`void`
AbstractCDORevision.`accept(CDORevisionValueVisitor visitor, Predicate<EStructuralFeature> filter)`
`void`
AbstractCDORevision.`accept(CDORevisionValueVisitor visitor, org.eclipse.net4j.util.Predicate<EStructuralFeature> filter)`
Deprecated.
`void`
DelegatingCDORevision.`accept(CDORevisionValueVisitor visitor)`
`void`
DelegatingCDORevision.`accept(CDORevisionValueVisitor visitor, Predicate<EStructuralFeature> filter)`
`void`
DelegatingCDORevision.`accept(CDORevisionValueVisitor visitor, org.eclipse.net4j.util.Predicate<EStructuralFeature> filter)`
Deprecated.